## catch 1.0

=== DESCRIPTION ===
Package: catch
Title: Covariate-Adjusted Tensor Classification in High-Dimensions
Version: 1.0
Description: Performs classification and variable selection on high-dimensional tensors (multi-dimensional arrays) after adjusting for additional covariates (scalar or vectors) as CATCH model in Pan, Mai and Zhang (2018) <arXiv:1805.04421>. The low-dimensional covariates and the high-dimensional tensors are jointly modeled to predict a categorical outcome in a multi-class discriminant analysis setting. The Covariate-Adjusted Tensor Classification in High-dimensions (CATCH) model is fitted in two steps: (1) adjust for the covariates within each class; and (2) penalized estimation with the adjusted tensor using a cyclic block coordinate descent algorithm. The package can provide a solution path for tuning parameter in the penalized estimation step. Special case of the CATCH model includes linear discriminant analysis model and matrix (or tensor) discriminant analysis without covariates.
Depends: R (>= 3.1.1)
License: GPL-2
Encoding: UTF-8
LazyData: true
Imports: tensr, Matrix, MASS, methods
NeedsCompilation: yes
Packaged: 2018-05-14 13:08:59 UTC; yp15c
Author: Yuqing Pan <yuqing.pan@stat.fsu.edu>,
	Qing Mai <mai@stat.fsu.edu>,
	Xin Zhang <henry@stat.fsu.edu>
Maintainer: Yuqing Pan <yuqing.pan@stat.fsu.edu>
Repository: CRAN
Date/Publication: 2018-05-14 13:42:01 UTC

## catch 1.0+m10git1e2f1d16

=== debian/changelog ===
catch (1.0+m10git1e2f1d16-1) unstable; urgency=low

  * Upstream update, build 10. Use ordered version number. 

 -- Jérémy Lal <kapouer@melix.org>  Sun, 15 Sep 2013 16:39:43 +0200

catch (1.0+gitf7378eeb-1) unstable; urgency=low

  * Initial release (Closes: #722908)

 -- Jérémy Lal <kapouer@melix.org>  Sat, 14 Sep 2013 16:47:31 +0200

=== debian/control ===
Source: catch
Section: devel
Priority: optional
Maintainer: Jérémy Lal <kapouer@melix.org>
Build-Depends:
 debhelper (>= 8),
 python
Standards-Version: 3.9.4
Homepage: https://github.com/philsquared/Catch
Vcs-Git: git://anonscm.debian.org/collab-maint/catch.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/catch.git

Package: catch
Architecture: any
Depends:
 ${misc:Depends}
Description: C++ Automated Test Cases in Headers
 Catch is a multi-paradigm automated test framework for C++
 and Objective-C.
 .
 Its key features are:
  * Distributed as a single header file with no dependencies.
  * Test cases are self-registering.
  * Test cases can be de divided into isolated sections.
  * Behaviour Driven Design style is possible with GIVEN-WHEN-THEN
    in place of test cases and sections.
  * Only one core assertion macro for comparisons; standard language
    operators are used for comparison, yet the expression is decomposed
    and properly logged.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

upstreamVersion := $(shell dpkg-parsechangelog -SVersion | cut -d- -f1)
upstreamBuild := $(shell echo $(upstreamVersion) | grep -oP '(?<=\+m)\d+(?=git\w+)')
upstreamHash := $(shell echo $(upstreamVersion) | grep -oP '(?<=\+m$(upstreamBuild)git)\w+')
upstreamUrl := $(shell grep -oP "(?<=Homepage: )(.+)" $(CURDIR)/debian/control)
upstreamName := $(shell dpkg-parsechangelog -SSource)


%:
	dh $@

override_dh_build:
	cp single_include/catch.hpp single_include/catch.hpp.bak
	python scripts/generateSingleHeader.py nobump

override_dh_clean:
	if [ -f single_include/catch.hpp.bak ]; then \
		mv -f single_include/catch.hpp.bak single_include/catch.hpp; \
	fi;
	dh_clean

get-orig-source:
	wget -O - $(upstreamUrl)/archive/$(upstreamHash).tar.gz > $(upstreamName)_$(upstreamVersion).orig.tar.gz

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/catch-$1.tar.gz/,\
dversionmangle=s/+git\S+$// \
https://github.com/philsquared/Catch/releases .*/v?(\d\S*)\.tar\.gz

## catch 1.0.1

=== DESCRIPTION ===
Package: catch
Title: Covariate-Adjusted Tensor Classification in High-Dimensions
Version: 1.0.1
Description: Performs classification and variable selection on high-dimensional tensors (multi-dimensional arrays) after adjusting for additional covariates (scalar or vectors) as CATCH model in Pan, Mai and Zhang (2018) <arXiv:1805.04421>. The low-dimensional covariates and the high-dimensional tensors are jointly modeled to predict a categorical outcome in a multi-class discriminant analysis setting. The Covariate-Adjusted Tensor Classification in High-dimensions (CATCH) model is fitted in two steps: (1) adjust for the covariates within each class; and (2) penalized estimation with the adjusted tensor using a cyclic block coordinate descent algorithm. The package can provide a solution path for tuning parameter in the penalized estimation step. Special case of the CATCH model includes linear discriminant analysis model and matrix (or tensor) discriminant analysis without covariates.
Depends: R (>= 3.1.1)
License: GPL-2
Encoding: UTF-8
LazyData: true
Imports: tensr, Matrix, MASS, methods
NeedsCompilation: yes
Packaged: 2021-01-04 11:46:44 UTC; ypan
Author: Yuqing Pan <yuqing.pan@stat.fsu.edu>,
	Qing Mai <mai@stat.fsu.edu>,
	Xin Zhang <henry@stat.fsu.edu>
Maintainer: Yuqing Pan <yuqing.pan@stat.fsu.edu>
Repository: CRAN
Date/Publication: 2021-01-04 17:10:02 UTC

## catch 1.1.3+gitc51e8681

=== debian/changelog ===
catch (1.1.3+gitc51e8681-1) unstable; urgency=medium

  * Imported Upstream version 1.1.3+gitc51e8681 (Closes: #787187).
  * Use new version scheme and fix get-orig-source
  * Document get-orig-source in copyright
  * Standards-Version 3.9.6

 -- Jérémy Lal <kapouer@melix.org>  Sun, 31 May 2015 15:39:57 +0200

=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,7 @@
 #export DH_VERBOSE=1
 
 upstreamVersion := $(shell dpkg-parsechangelog -SVersion | cut -d- -f1)
-upstreamBuild := $(shell echo $(upstreamVersion) | grep -oP '(?<=\+m)\d+(?=git\w+)')
-upstreamHash := $(shell echo $(upstreamVersion) | grep -oP '(?<=\+m$(upstreamBuild)git)\w+')
+upstreamHash := $(shell echo $(upstreamVersion) | grep -oP '(?<=\+git)\w+')
 upstreamUrl := $(shell grep -oP "(?<=Homepage: )(.+)" $(CURDIR)/debian/control)
 upstreamName := $(shell dpkg-parsechangelog -SSource)
 
@@ -24,5 +23,5 @@
 	dh_clean
 
 get-orig-source:
-	wget -O - $(upstreamUrl)/archive/$(upstreamHash).tar.gz > $(upstreamName)_$(upstreamVersion).orig.tar.gz
+	wget -O - $(upstreamUrl)/archive/$(upstreamHash).tar.gz > ../$(upstreamName)_$(upstreamVersion).orig.tar.gz

## catch 1.2.0

=== projects/CMake/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project(Catch)

# define some folders
get_filename_component(CATCH_DIR "${CMAKE_CURRENT_SOURCE_DIR}" PATH)
get_filename_component(CATCH_DIR "${CATCH_DIR}" PATH)
set(SELF_TEST_DIR ${CATCH_DIR}/projects/SelfTest)
if(USE_CPP11)
  ## We can't turn this on by default, since it breaks on travis
  message(STATUS "Enabling C++11")
  set(CMAKE_CXX_FLAGS "-std=c++11 ${CMAKE_CXX_FLAGS}")
endif()

# define the sources of the self test
set(SOURCES
    ${SELF_TEST_DIR}/ApproxTests.cpp
    ${SELF_TEST_DIR}/BDDTests.cpp
    ${SELF_TEST_DIR}/ClassTests.cpp
    ${SELF_TEST_DIR}/ConditionTests.cpp
    ${SELF_TEST_DIR}/ExceptionTests.cpp
    ${SELF_TEST_DIR}/GeneratorTests.cpp
    ${SELF_TEST_DIR}/MessageTests.cpp
    ${SELF_TEST_DIR}/MiscTests.cpp
    ${SELF_TEST_DIR}/SectionTrackerTests.cpp
    ${SELF_TEST_DIR}/TestMain.cpp
    ${SELF_TEST_DIR}/TrickyTests.cpp
    ${SELF_TEST_DIR}/VariadicMacrosTests.cpp
    ${SELF_TEST_DIR}/EnumToString.cpp
    ${SELF_TEST_DIR}/ToStringPair.cpp
    ${SELF_TEST_DIR}/ToStringVector.cpp
    ${SELF_TEST_DIR}/ToStringWhich.cpp
    ${SELF_TEST_DIR}/ToStringTuple.cpp
)

# configure the executable
include_directories(${CATCH_DIR}/include)
add_executable(SelfTest ${SOURCES})

# configure unit tests via CTest
enable_testing()
add_test(NAME RunTests COMMAND SelfTest)

add_test(NAME ListTests COMMAND SelfTest --list-tests)
set_tests_properties(ListTests PROPERTIES PASS_REGULAR_EXPRESSION "[0-9]+ test cases")

add_test(NAME ListTags COMMAND SelfTest --list-tags)
set_tests_properties(ListTags PROPERTIES PASS_REGULAR_EXPRESSION "[0-9]+ tags")

=== debian/changelog ===
catch (1.2.0-1) unstable; urgency=medium

  * Imported Upstream version 1.2.0
  * Upstream now committed to semantic versioning

 -- Jérémy Lal <kapouer@melix.org>  Mon, 29 Jun 2015 21:20:41 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends:
  debhelper (>= 8),
  python
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: https://github.com/philsquared/Catch
 Vcs-Git: git://anonscm.debian.org/collab-maint/catch.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/catch.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_build:
	cp single_include/catch.hpp single_include/catch.hpp.bak
	python scripts/generateSingleHeader.py nobump

override_dh_clean:
	if [ -f single_include/catch.hpp.bak ]; then \
		mv -f single_include/catch.hpp.bak single_include/catch.hpp; \
	fi;
	dh_clean

## catch 1.10.0

=== debian/changelog ===
catch (1.10.0-1) unstable; urgency=medium

  * New upstream version 1.10.0 (Closes: #875756)
  * Update Vcs-* fields
  * debhelper 10
  * Standards-Version 4.1.0
  * Build-Depends cmake
  * Build-Depends g++ to avoid clang bug #871011

 -- Jérémy Lal <kapouer@melix.org>  Thu, 14 Sep 2017 13:59:44 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,14 @@
 Priority: optional
 Maintainer: Jérémy Lal <kapouer@melix.org>
 Build-Depends:
- debhelper (>= 8),
+ g++ (>= 7),
+ cmake,
+ debhelper (>= 10),
  python
-Standards-Version: 3.9.6
+Standards-Version: 4.1.0
 Homepage: https://github.com/philsquared/Catch
-Vcs-Git: git://anonscm.debian.org/collab-maint/catch.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/catch.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/nodejs.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/catch.git
 
 Package: catch
 Architecture: any

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/catch-$1.tar.gz/,\
dversionmangle=s/\+m\d+git\S+$// \
https://github.com/philsquared/Catch/releases .*/v?(\d\S*)\.tar\.gz

## catch 1.12.1

=== debian/changelog ===
catch (1.12.1-1ubuntu1) focal; urgency=medium

  * Build using python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 31 Mar 2020 11:41:10 +0200

catch (1.12.1-1) unstable; urgency=medium

  [ Nicolas Dandrimont ]
  * Fix Vcs-Git URL

  [ Jérémy Lal ]
  * Watch major 1
  * Update Homepage url
  * New upstream version 1.12.1
  * Migrate to salsa.debian.org, update Vcs-* url

 -- Jérémy Lal <kapouer@melix.org>  Thu, 22 Mar 2018 16:12:32 +0100

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
  g++ (>= 7),
  cmake,
  debhelper (>= 10),
- python
+ python2
 Standards-Version: 4.1.0
-Homepage: https://github.com/philsquared/Catch
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/nodejs.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/catch.git
+Homepage: https://github.com/catchorg/Catch2
+Vcs-Git: https://salsa.debian.org/debian/catch.git
+Vcs-Browser: https://salsa.debian.org/debian/catch
 
 Package: catch
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 override_dh_build:
 	cp single_include/catch.hpp single_include/catch.hpp.bak
-	python scripts/generateSingleHeader.py nobump
+	python2 scripts/generateSingleHeader.py nobump
 
 override_dh_clean:
 	if [ -f single_include/catch.hpp.bak ]; then \

## catch 1.12.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

project(CatchSelfTest)

set_property(GLOBAL PROPERTY USE_FOLDERS ON)

# define some folders
set(CATCH_DIR ${CMAKE_CURRENT_SOURCE_DIR})
set(SELF_TEST_DIR ${CATCH_DIR}/projects/SelfTest)
set(BENCHMARK_DIR ${CATCH_DIR}/projects/Benchmark)
set(HEADER_DIR ${CATCH_DIR}/include)

if(USE_CPP11)
    ## We can't turn this on by default, since it breaks on travis
    message(STATUS "Enabling C++11")
    set(CMAKE_CXX_FLAGS "-std=c++11 ${CMAKE_CXX_FLAGS}")
elseif(USE_CPP14)
    message(STATUS "Enabling C++14")
    set(CMAKE_CXX_FLAGS "-std=c++14 ${CMAKE_CXX_FLAGS}")
endif()

if(USE_WMAIN)
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} /ENTRY:wmainCRTStartup")
endif()

#checks that the given hard-coded list contains all headers + sources in the given folder
function(CheckFileList LIST_VAR FOLDER)
  set(MESSAGE " should be added to the variable ${LIST_VAR}")
  set(MESSAGE "${MESSAGE} in ${CMAKE_CURRENT_LIST_FILE}\n")
  file(GLOB GLOBBED_LIST "${FOLDER}/*.cpp"
                         "${FOLDER}/*.hpp"
                         "${FOLDER}/*.h")
  list(REMOVE_ITEM GLOBBED_LIST ${${LIST_VAR}})
  foreach(EXTRA_ITEM ${GLOBBED_LIST})
    string(REPLACE "${CATCH_DIR}/" "" RELATIVE_FILE_NAME "${EXTRA_ITEM}")
    message(AUTHOR_WARNING "The file \"${RELATIVE_FILE_NAME}\"${MESSAGE}")
  endforeach()
endfunction()

function(CheckFileListRec LIST_VAR FOLDER)
  set(MESSAGE " should be added to the variable ${LIST_VAR}")
  set(MESSAGE "${MESSAGE} in ${CMAKE_CURRENT_LIST_FILE}\n")
  file(GLOB_RECURSE GLOBBED_LIST "${FOLDER}/*.cpp"
                                 "${FOLDER}/*.hpp"
                                 "${FOLDER}/*.h")
  list(REMOVE_ITEM GLOBBED_LIST ${${LIST_VAR}})
  foreach(EXTRA_ITEM ${GLOBBED_LIST})
    string(REPLACE "${CATCH_DIR}/" "" RELATIVE_FILE_NAME "${EXTRA_ITEM}")
    message(AUTHOR_WARNING "The file \"${RELATIVE_FILE_NAME}\"${MESSAGE}")
  endforeach()
endfunction()

# define the sources of the self test
# Please keep these ordered alphabetically
set(TEST_SOURCES
        ${SELF_TEST_DIR}/ApproxTests.cpp
        ${SELF_TEST_DIR}/BDDTests.cpp
        ${SELF_TEST_DIR}/ClassTests.cpp
        ${SELF_TEST_DIR}/CmdLineTests.cpp
        ${SELF_TEST_DIR}/CompilationTests.cpp
        ${SELF_TEST_DIR}/ConditionTests.cpp
        ${SELF_TEST_DIR}/DecompositionTests.cpp
        ${SELF_TEST_DIR}/EnumToString.cpp
        ${SELF_TEST_DIR}/ExceptionTests.cpp
        ${SELF_TEST_DIR}/GeneratorTests.cpp
        ${SELF_TEST_DIR}/MessageTests.cpp
        ${SELF_TEST_DIR}/MiscTests.cpp
        ${SELF_TEST_DIR}/PartTrackerTests.cpp
        ${SELF_TEST_DIR}/TagAliasTests.cpp
        ${SELF_TEST_DIR}/TestMain.cpp
        ${SELF_TEST_DIR}/ToStringGeneralTests.cpp
        ${SELF_TEST_DIR}/ToStringPair.cpp
        ${SELF_TEST_DIR}/ToStringTuple.cpp
        ${SELF_TEST_DIR}/ToStringVector.cpp
        ${SELF_TEST_DIR}/ToStringWhich.cpp
        ${SELF_TEST_DIR}/TrickyTests.cpp
        ${SELF_TEST_DIR}/VariadicMacrosTests.cpp
        ${SELF_TEST_DIR}/MatchersTests.cpp
        )
CheckFileList(TEST_SOURCES ${SELF_TEST_DIR})

# A set of impl files that just #include a single header
# Please keep these ordered alphabetically
set(IMPL_SOURCES
        ${SELF_TEST_DIR}/SurrogateCpps/catch_common.cpp
        ${SELF_TEST_DIR}/SurrogateCpps/catch_console_colour.cpp
        ${SELF_TEST_DIR}/SurrogateCpps/catch_debugger.cpp
        ${SELF_TEST_DIR}/SurrogateCpps/catch_interfaces_capture.cpp
        ${SELF_TEST_DIR}/SurrogateCpps/catch_interfaces_config.cpp
        ${SELF_TEST_DIR}/SurrogateCpps/catch_interfaces_exception.cpp
        ${SELF_TEST_DIR}/SurrogateCpps/catch_interfaces_generators.cpp
        ${SELF_TEST_DIR}/SurrogateCpps/catch_interfaces_registry_hub.cpp
        ${SELF_TEST_DIR}/SurrogateCpps/catch_interfaces_reporter.cpp
        ${SELF_TEST_DIR}/SurrogateCpps/catch_interfaces_runner.cpp
        ${SELF_TEST_DIR}/SurrogateCpps/catch_interfaces_testcase.cpp
        ${SELF_TEST_DIR}/SurrogateCpps/catch_message.cpp
        ${SELF_TEST_DIR}/SurrogateCpps/catch_option.cpp
        ${SELF_TEST_DIR}/SurrogateCpps/catch_ptr.cpp
        ${SELF_TEST_DIR}/SurrogateCpps/catch_stream.cpp
        ${SELF_TEST_DIR}/SurrogateCpps/catch_streambuf.cpp
        ${SELF_TEST_DIR}/SurrogateCpps/catch_test_spec.cpp
        ${SELF_TEST_DIR}/SurrogateCpps/catch_xmlwriter.cpp
        ${SELF_TEST_DIR}/SurrogateCpps/catch_test_case_tracker.cpp
        )
CheckFileList(IMPL_SOURCES ${SELF_TEST_DIR}/SurrogateCpps)


# Please keep these ordered alphabetically
set(TOP_LEVEL_HEADERS
        ${HEADER_DIR}/catch.hpp
        ${HEADER_DIR}/catch_session.hpp
        ${HEADER_DIR}/catch_with_main.hpp
        )
CheckFileList(TOP_LEVEL_HEADERS ${HEADER_DIR})

# Please keep these ordered alphabetically
set(EXTERNAL_HEADERS
        ${HEADER_DIR}/external/clara.h
        ${HEADER_DIR}/external/tbc_text_format.h
        )
CheckFileList(EXTERNAL_HEADERS ${HEADER_DIR}/external)


# Please keep these ordered alphabetically
set(INTERNAL_HEADERS
        ${HEADER_DIR}/internal/catch_approx.hpp
        ${HEADER_DIR}/internal/catch_assertionresult.h
        ${HEADER_DIR}/internal/catch_assertionresult.hpp
        ${HEADER_DIR}/internal/catch_capture.hpp
        ${HEADER_DIR}/internal/catch_clara.h
        ${HEADER_DIR}/internal/catch_commandline.hpp
        ${HEADER_DIR}/internal/catch_common.h
        ${HEADER_DIR}/internal/catch_common.hpp
        ${HEADER_DIR}/internal/catch_compiler_capabilities.h
        ${HEADER_DIR}/internal/catch_config.hpp
        ${HEADER_DIR}/internal/catch_console_colour.hpp
        ${HEADER_DIR}/internal/catch_console_colour_impl.hpp
        ${HEADER_DIR}/internal/catch_context.h
        ${HEADER_DIR}/internal/catch_context_impl.hpp
        ${HEADER_DIR}/internal/catch_debugger.h
        ${HEADER_DIR}/internal/catch_debugger.hpp
        ${HEADER_DIR}/internal/catch_default_main.hpp
        ${HEADER_DIR}/internal/catch_errno_guard.hpp
        ${HEADER_DIR}/internal/catch_evaluate.hpp
        ${HEADER_DIR}/internal/catch_exception_translator_registry.hpp
        ${HEADER_DIR}/internal/catch_expression_lhs.hpp
        ${HEADER_DIR}/internal/catch_fatal_condition.hpp
        ${HEADER_DIR}/internal/catch_generators.hpp
        ${HEADER_DIR}/internal/catch_generators_impl.hpp
        ${HEADER_DIR}/internal/catch_impl.hpp
        ${HEADER_DIR}/internal/catch_interfaces_capture.h
        ${HEADER_DIR}/internal/catch_interfaces_config.h
        ${HEADER_DIR}/internal/catch_interfaces_exception.h
        ${HEADER_DIR}/internal/catch_interfaces_generators.h
        ${HEADER_DIR}/internal/catch_interfaces_registry_hub.h
        ${HEADER_DIR}/internal/catch_interfaces_reporter.h
        ${HEADER_DIR}/internal/catch_interfaces_runner.h
        ${HEADER_DIR}/internal/catch_interfaces_tag_alias_registry.h
        ${HEADER_DIR}/internal/catch_interfaces_testcase.h
        ${HEADER_DIR}/internal/catch_legacy_reporter_adapter.h
        ${HEADER_DIR}/internal/catch_legacy_reporter_adapter.hpp
        ${HEADER_DIR}/internal/catch_list.hpp
        ${HEADER_DIR}/internal/catch_matchers.hpp
        ${HEADER_DIR}/internal/catch_matchers_string.h
        ${HEADER_DIR}/internal/catch_matchers_string.hpp
        ${HEADER_DIR}/internal/catch_matchers_vector.h
        ${HEADER_DIR}/internal/catch_message.h
        ${HEADER_DIR}/internal/catch_message.hpp
        ${HEADER_DIR}/internal/catch_notimplemented_exception.h
        ${HEADER_DIR}/internal/catch_notimplemented_exception.hpp
        ${HEADER_DIR}/internal/catch_objc.hpp
        ${HEADER_DIR}/internal/catch_objc_arc.hpp
        ${HEADER_DIR}/internal/catch_option.hpp
        ${HEADER_DIR}/internal/catch_platform.h
        ${HEADER_DIR}/internal/catch_ptr.hpp
        ${HEADER_DIR}/internal/catch_reenable_warnings.h
        ${HEADER_DIR}/internal/catch_registry_hub.hpp
        ${HEADER_DIR}/internal/catch_reporter_registrars.hpp
        ${HEADER_DIR}/internal/catch_reporter_registry.hpp
        ${HEADER_DIR}/internal/catch_result_builder.h
        ${HEADER_DIR}/internal/catch_result_builder.hpp
        ${HEADER_DIR}/internal/catch_result_type.h
        ${HEADER_DIR}/internal/catch_run_context.hpp
        ${HEADER_DIR}/internal/catch_section.h
        ${HEADER_DIR}/internal/catch_section.hpp
        ${HEADER_DIR}/internal/catch_section_info.h
        ${HEADER_DIR}/internal/catch_section_info.hpp
        ${HEADER_DIR}/internal/catch_stream.h
        ${HEADER_DIR}/internal/catch_stream.hpp
        ${HEADER_DIR}/internal/catch_streambuf.h
        ${HEADER_DIR}/internal/catch_suppress_warnings.h
        ${HEADER_DIR}/internal/catch_tag_alias.h
        ${HEADER_DIR}/internal/catch_tag_alias_registry.h
        ${HEADER_DIR}/internal/catch_tag_alias_registry.hpp
        ${HEADER_DIR}/internal/catch_test_case_info.h
        ${HEADER_DIR}/internal/catch_test_case_info.hpp
        ${HEADER_DIR}/internal/catch_test_case_registry_impl.hpp
        ${HEADER_DIR}/internal/catch_test_case_tracker.hpp
        ${HEADER_DIR}/internal/catch_test_registry.hpp
        ${HEADER_DIR}/internal/catch_test_spec.hpp
        ${HEADER_DIR}/internal/catch_test_spec_parser.hpp
        ${HEADER_DIR}/internal/catch_text.h
        ${HEADER_DIR}/internal/catch_timer.h
        ${HEADER_DIR}/internal/catch_timer.hpp
        ${HEADER_DIR}/internal/catch_tostring.h
        ${HEADER_DIR}/internal/catch_tostring.hpp
        ${HEADER_DIR}/internal/catch_totals.hpp
        ${HEADER_DIR}/internal/catch_type_traits.hpp
        ${HEADER_DIR}/internal/catch_version.h
        ${HEADER_DIR}/internal/catch_version.hpp
        ${HEADER_DIR}/internal/catch_wildcard_pattern.hpp
        ${HEADER_DIR}/internal/catch_windows_h_proxy.h
        ${HEADER_DIR}/internal/catch_xmlwriter.hpp
        )
CheckFileList(INTERNAL_HEADERS ${HEADER_DIR}/internal)

# Please keep these ordered alphabetically
set(REPORTER_HEADERS
        ${HEADER_DIR}/reporters/catch_reporter_automake.hpp
        ${HEADER_DIR}/reporters/catch_reporter_bases.hpp
        ${HEADER_DIR}/reporters/catch_reporter_compact.hpp
        ${HEADER_DIR}/reporters/catch_reporter_console.hpp
        ${HEADER_DIR}/reporters/catch_reporter_junit.hpp
        ${HEADER_DIR}/reporters/catch_reporter_multi.hpp
        ${HEADER_DIR}/reporters/catch_reporter_tap.hpp
        ${HEADER_DIR}/reporters/catch_reporter_teamcity.hpp
        ${HEADER_DIR}/reporters/catch_reporter_xml.hpp
        )
CheckFileList(REPORTER_HEADERS ${HEADER_DIR}/reporters)

# Specify the headers, too, so CLion recognises them as project files
set(HEADERS
        ${TOP_LEVEL_HEADERS}
        ${EXTERNAL_HEADERS}
        ${INTERNAL_HEADERS}
        ${REPORTER_HEADERS}
        )


set(BENCH_SOURCES
        ${BENCHMARK_DIR}/BenchMain.cpp
        ${BENCHMARK_DIR}/StringificationBench.cpp
        )
CheckFileList(BENCH_SOURCES ${BENCHMARK_DIR})

# Provide some groupings for IDEs
SOURCE_GROUP("Tests" FILES ${TEST_SOURCES})
SOURCE_GROUP("Surrogates" FILES ${IMPL_SOURCES})
SOURCE_GROUP("Benchmarks" FILES ${BENCH_SOURCES})

# configure the executable
include_directories(${HEADER_DIR})

# Projects consuming Catch via ExternalProject_Add might want to use install step
# without building all of our selftests.
if (NOT NO_SELFTEST)
    add_executable(SelfTest ${TEST_SOURCES} ${IMPL_SOURCES} ${HEADERS})
    add_executable(Benchmark ${BENCH_SOURCES} ${HEADERS})

    # Add desired warnings
    if ( CMAKE_CXX_COMPILER_ID MATCHES "Clang|AppleClang|GNU" )
        target_compile_options( SelfTest PRIVATE -Wall -Wextra )
        target_compile_options( Benchmark PRIVATE -Wall -Wextra )
    endif()
    if ( CMAKE_CXX_COMPILER_ID MATCHES "MSVC" )
        target_compile_options( SelfTest PRIVATE /W4 /w44265 /WX )
        target_compile_options( Benchmark PRIVATE /W4 )
    endif()


    # configure unit tests via CTest
    enable_testing()
    add_test(NAME RunTests COMMAND SelfTest)

    add_test(NAME ListTests COMMAND SelfTest --list-tests)
    set_tests_properties(ListTests PROPERTIES PASS_REGULAR_EXPRESSION "[0-9]+ test cases")

=== debian/changelog ===
catch (1.12.2-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Bump CMake policy version (Closes: #1112765)
  * Bump Standards-Version to 4.7.2
  * Migrate debian/watch to version 5 format

 -- Timo Röhling <roehling@debian.org>  Thu, 25 Sep 2025 23:10:50 +0200

catch (1.12.2-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Mark catch as Multi-Arch: foreign (Closes: #1023089)
  * Bump Standards-Version to 4.7.0

 -- Timo Röhling <roehling@debian.org>  Thu, 18 Apr 2024 00:29:32 +0200

catch (1.12.2-0.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Jérémy Lal ]
  * New upstream version 1.12.2
  * Fix Python 3 build

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces

  [ Timo Röhling ]
  * Work around missing SIGSTKSZ with glib 2.34 (Closes: #993515)
    Thanks to Drew Parsons for the patch.
  * Bump Standards-Version to 4.6.1

 -- Timo Röhling <roehling@debian.org>  Mon, 08 Aug 2022 10:38:49 +0200

catch (1.12.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Kunal Mehta ]
  * Build using Python 3 (Closes: #942960)

 -- Matthias Klose <doko@debian.org>  Mon, 08 Mar 2021 12:23:30 +0100

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,16 @@
  g++ (>= 7),
  cmake,
  debhelper (>= 10),
- python2
-Standards-Version: 4.1.0
+ python3,
+ python3-urllib3
+Standards-Version: 4.7.2
 Homepage: https://github.com/catchorg/Catch2
 Vcs-Git: https://salsa.debian.org/debian/catch.git
 Vcs-Browser: https://salsa.debian.org/debian/catch
 
 Package: catch
-Architecture: any
+Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends}
 Description: C++ Automated Test Cases in Headers

=== debian/watch ===
Version: 5

Template: Github
Owner: catchorg
Project: Catch2
Source: https://api.github.com/repos/catchorg/Catch2/git/matching-refs/tags/v1\.
Uversion-Mangle: s/-dev/~dev/

## catch 1.12.2.1

=== debian/changelog ===
catch (1.12.2.1-deepin) unstable; urgency=medium

  * release 1.12.2.1-deepin

 -- <lvpeilong@uniontech.com>  Wed, 19 Oct 2022 14:47:06 +0800

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --buildsystem=cmake
